<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab1"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">{{nombreempresa}}</h1>
          <span style="font-style: italic;color: white;">Detalle cita en curso</span>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="ion-margin-top mt-30 px-20" *ngFor="let cita of infocita">
      <ion-col size="6" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">Check-in</ion-label><br>
        <span class="ml-2">{{(cita.HoraInicio).substring(0,5)}} Hrs</span>
      </ion-col>
      <ion-col size="6" class="ion-text-right">
        <ion-button class="btn-azul" (click)="checkout()" style="--background: red;">
          <ion-icon name="log-out-outline"></ion-icon>
          CHECK-OUT
        </ion-button>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">Motivo</ion-label>
        <ion-input class="ml-2" disabled>{{cita.Motivo}}</ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">Notas</ion-label>
        <ion-textarea class="ml-2" rows="3" placeholder="Escribe aquí tus notas" [(ngModel)]="nota"></ion-textarea>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">Asignar tarea</ion-label>
      </ion-col>
      <ion-col size="3">
        <ion-label color="primary">Empresa: </ion-label>
      </ion-col>
      <ion-col size="9">
        <ion-label style="text-transform: capitalize;">{{cita.Nombre_Empresa}}</ion-label>
      </ion-col>
      <ion-col size="6"><ion-label color="primary">Para equipo</ion-label></ion-col>
      <ion-col size="6"><ion-label color="primary">Otro asesor</ion-label></ion-col>
      <ion-col size="6" class="ion-text-center">
        <ion-select placeholder="Asesor" okText="Aceptar" cancelText="Cancelar" [(ngModel)]="asesor">
          <ion-select-option *ngFor="let usu of usuariosE" value="{{usu.idUsers}}">{{usu.Nombre}}</ion-select-option>
        </ion-select>
      </ion-col>
      <ion-col size="6" class="ion-text-center">
        <ion-select placeholder="Asesor" okText="Aceptar" cancelText="Cancelar" [(ngModel)]="asesor">
          <ion-select-option *ngFor="let usuo of todosusuarios" value="{{usuo.idUsers}}">{{usuo.Nombre}}</ion-select-option>
        </ion-select>
      </ion-col>
      <ion-col size="12" class="ion-text-center mt-20 mb-20">
        <ion-input class="input" placeholder="Escribe la Tarea a realizar" [(ngModel)]="tarea"></ion-input>
      </ion-col>
      <ion-col size="12" class="ion-text-left" *ngIf = "tareas.length > 0">
        <h3 class="text-azul">Historial de tareas</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left" *ngIf = "tareas.length > 0">
        <ion-row>
          <ion-col size="6" class="ion-text-center">
            <span class="textotitulo">Asesor</span>
          </ion-col>
          <ion-col size="6" class="ion-text-center">
            <span class="textotitulo">Tarea</span>
          </ion-col>
        </ion-row>

        <ion-row *ngFor="let tarea of tareas">
          <ion-col size="6" class="ion-text-left elipsis" (click)="mensaje1(tarea.Nombre,tarea.Tarea)">
            <span class="text-peueño">{{tarea.Nombre}}</span>
          </ion-col>
          <ion-col size="6" class="ion-text-left elipsis" (click)="mensaje1(tarea.Nombre,tarea.Tarea)">
            <span class="text-peueño">{{tarea.Tarea}}</span>
          </ion-col>
        </ion-row>
      </ion-col>

      <ion-col size="8" class="ion-text-left border pt-20 pb-20">
        <ion-label color="primary" style="font-weight: bolder;">Archivos Multimedia</ion-label>
      </ion-col>
      <ion-col size="4" class="ion-text-left border">
        <div class="contenedor">
          <label for="archivot" id="label"></label>
          <input style="height: 0px;width: 0px;" type="file" id="archivot"
          (change)="onFileChanged($event)" class="hidden" multiple="true"
          accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
        </div>
      </ion-col>
      <ion-col size="12">
        <div *ngFor="let archivonom of nombredearchivos; let i = index" class="row">
            <div class="col-md-12">
                <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
                || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
                || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
                src="../../../assets/img/images-outline.svg" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
                || tipodearchivo[i] === 'docx'"
                src="../../../assets/img/word.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
                || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
                || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
                src="../../../assets/img/excel.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
                || tipodearchivo[i] === 'pptx'"
                src="../../../assets/img/power.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'pdf'"
                src="../../../assets/img/pdf.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
                || tipodearchivo[i] === 'rar'"
                src="../../../assets/img/zip.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
                || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
                src="../../../assets/img/musica.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
                || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
                || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
                src="../../../assets/img/video.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
                && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
                && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
                tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
                && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
                && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
                && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
                tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
                && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
                tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
                && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
                && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
                tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
                && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
                && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
                src="../../../assets/img/archivo.png" width="10x" height="10px"
                class="mr-2 imgS">

                    <label> {{(archivonom).substr(-28)}}</label><img (click)="quitararchivo(i)"
                    src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px" style="padding-top: 2%;">
            </div>
        </div>
      </ion-col>

      <ion-col size="12" class="ion-text-center mt-20">
        <ion-button class="btn-azul" (click)="comprobardatos()">
          <ion-icon name="paper-plane-sharp"></ion-icon>
          ENVIAR
        </ion-button>
      </ion-col>
  </ion-row>
</ion-content>
